#ifndef DISTANTSOUNDBLOCK_H
#define DISTANTSOUNDBLOCK_H

#include "vers_plugin.h"
#include <pm_defs.h>

typedef void (*pmplaysound_t)(int channel, const char *sample, float volume, float attenuation, int fFlags, int pitch);

extern pmplaysound_t OLD_PM_PlaySound;
extern playermove_t * g_pmove;

extern char player_is_connected[32];

extern char groupinfo_changed[32];
extern int groupinfo_old[32];

extern int game_groupmask;
extern int game_groupop;

extern void plugin_init(void);
extern void plugin_cleanup(int forced);

extern void PM_PlaySound_DistanceFix(int channel, const char *sample, float volume, float attenuation, int fFlags, int pitch );
extern int EmitSound_DistanceFix(edict_t *entity, int channel, const char *sample, float volume, float attenuation, int fFlags, int pitch);
extern void PlaybackEvent_DistanceFix(edict_t *entity, unsigned short eventindex);

extern int plugin_GetEngineFunctions(enginefuncs_t *pengfuncsFromEngine, int *interfaceVersion);
extern int plugin_GetEntityAPI2(DLL_FUNCTIONS *pFunctionTable, int *interfaceVersion);
//extern int plugin_GetEngineFunctions_Post(enginefuncs_t *pengfuncsFromEngine, int *interfaceVersion);

#endif /*DISTANTSOUNDBLOCK_H*/
