#include <extdll.h>
#include <sdk_util.h>
#include <meta_api.h>
#include "distantsoundblock.h" //EmitSound_DistanceFix

/*
static void PlaybackEvent_Post(int flags, const edict_t *pInvoker, unsigned short eventindex, float delay, float *origin, float *angles, float fparam1, float fparam2, int iparam1, int iparam2, int bparam1, int bparam2) {
	PlaybackEvent_DistanceFix((edict_t*)pInvoker, flags);
	
	RETURN_META(MRES_HANDLED);
}
*/

static void EmitSound(edict_t *entity, int channel, const char *sample, float volume, float attenuation, int fFlags, int pitch) {
	if(EmitSound_DistanceFix(entity, channel, sample, volume, attenuation, fFlags, pitch))
		RETURN_META(MRES_SUPERCEDE);
	
	RETURN_META(MRES_HANDLED);
}

static void SetGroupMask(int mask, int op) {
	game_groupmask = mask;
	game_groupop = op;
	
	RETURN_META(MRES_HANDLED);
}

/*
int plugin_GetEngineFunctions_Post(enginefuncs_t *pengfuncsFromEngine, int *interfaceVersion) {
	memset(pengfuncsFromEngine, 0, sizeof(enginefuncs_t));
	
	pengfuncsFromEngine->pfnPlaybackEvent = PlaybackEvent_Post;
	
	return(TRUE);
}
*/

int plugin_GetEngineFunctions(enginefuncs_t *pengfuncsFromEngine, int *interfaceVersion) {
	memset(pengfuncsFromEngine, 0, sizeof(enginefuncs_t));
	
	pengfuncsFromEngine->pfnSetGroupMask = SetGroupMask;
	pengfuncsFromEngine->pfnEmitSound    = EmitSound;
	
	return(TRUE);
}
