#include <extdll.h>
#include <sdk_util.h>
#include <pm_defs.h>
#include "distantsoundblock.h"

#define set_zero(x) memset(&(x),0,sizeof(x))

cvar_t dsb_active = {"dsb_on", "0", FCVAR_EXTDLL, 0, NULL};

void plugin_init(void) {
	CVAR_REGISTER( &dsb_active );
	
	set_zero(OLD_PM_PlaySound);
	set_zero(g_pmove);

	set_zero(player_is_connected);

	set_zero(groupinfo_changed);
	set_zero(groupinfo_old);

	set_zero(game_groupmask);
	set_zero(game_groupop);
}

void plugin_cleanup(int forced) {
	if(g_pmove && OLD_PM_PlaySound)
		g_pmove->PM_PlaySound = OLD_PM_PlaySound;
	
	set_zero(OLD_PM_PlaySound);
	set_zero(g_pmove);

	set_zero(player_is_connected);

	set_zero(groupinfo_changed);
	set_zero(groupinfo_old);

	set_zero(game_groupmask);
	set_zero(game_groupop);
}
